package cz.cvut.kbss.reporting.persistence.dao;

import cz.cvut.kbss.reporting.model.Tag;
import org.springframework.stereotype.Repository;

import javax.persistence.NoResultException;
import java.util.Objects;

@Repository
public class TagDao extends BaseDao<Tag> {

    public TagDao() {
        super(Tag.class);
    }

    /**
     * Finds tag with the specified name.
     *
     * @param tagName Name of the tag
     * @return Matching tag or {@code null}, if none is found
     */
    public Tag findByName(String tagName) {
        Objects.requireNonNull(tagName);
        try {
            return em.createNamedQuery("Tag.findByName", Tag.class).setParameter("name", tagName).getSingleResult();
        } catch (NoResultException e) {
            return null;
        }
    }

    @Override
    public Tag update(Tag entity) {
        throw new UnsupportedOperationException();
    }

    @Override
    public void remove(Tag entity) {
        throw new UnsupportedOperationException();
    }
}
