'use strict';

import Routes from "../utils/Routes";

export default {
    APP_NAME: 'EAR RT',
    HOME_ROUTE: Routes.dashboard,
    OPTIONS: {
        SEVERITY: 'severity',
        OCCURRENCE_TYPE: 'occurrenceType',
        EVENT_TYPE: 'eventType'
    },

    /**
     * Sorting glyph icons
     */
    SORTING: {
        NO: {glyph: 'sort', title: 'sort.no'},
        ASC: {glyph: 'chevron-up', title: 'sort.asc'},
        DESC: {glyph: 'chevron-down', title: 'sort.desc'}
    },

    /**
     * Types of message published by the MessageStore
     */
    MESSAGE_TYPE: {
        SUCCESS: 'success',
        INFO: 'info',
        WARNING: 'warning',
        ERROR: 'danger'
    },

    UNAUTHORIZED_USER: {name: 'unauthorized'},

    FILTER_DEFAULT: 'all',

    MINUTE: 60 * 1000,   // Minute in milliseconds

    // Maximum number of columns supported by Bootstrap
    COLUMN_COUNT: 12,

    // Maximum time difference between occurrence start and end. 24 hours in millis
    MAX_OCCURRENCE_START_END_DIFF: 1000 * 60 * 60 * 24,

    // Maximum input value length, for which input of type text should be displayed
    INPUT_LENGTH_THRESHOLD: 70,

    MESSAGE_DURATION: 5000,

    // Some references for correct binding of Java types (because of Jackson JsonTypeInfo)
    OCCURRENCE_JAVA_CLASS: 'cz.cvut.kbss.reporting.model.Occurrence',
    EVENT_JAVA_CLASS: 'cz.cvut.kbss.reporting.model.Event'
};
