'use strict';

import React from "react";
import {IntlProvider} from "react-intl";
import en from "../../js/i18n/en";
import I18nStore from "../../js/stores/I18nStore";

/**
 * Test application. Used to initialize Intl context by loading the default English localization.
 */
export default class TestApp extends React.Component {
    componentWillMount() {
        I18nStore.setMessages(en.messages);
    }

    render() {
        return <IntlProvider {...en}>
            {this.props.children}
        </IntlProvider>
    }
}
